Services How It Works Blog Free Reseller Panel API Login Sign Up Free

Aféierung

D'Resimi API léisst Iech eis SMM Servicer an Ären eegene Panel, App oder Workflow integréieren. All Ufroe ginn JSON zréck. D'API ass kompatibel mat dem Standard SMM Panel API Format benotzt vu JAP, SMMKings, Peakerr an anerer - mécht et einfach ze wiesselen oder z'integréieren.

Basis URL: https://resimi.xyz/api/v2.php

All Endpunkte akzeptéieren souwuel GET an POST Ufroen. Benotzt POST fir Bestellungen an Annuléierungen, GET fir nëmmen-liesen Ufroen.

Authentifikatioun

All Ufro muss Ären API Schlëssel als key Parameter enthalen.

Ären API Schlëssel ass an Account Settings → API Access. Halt et geheim - et huet voll Zougang zu Ärem Kont a Gläichgewiicht.
GET https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=balance

Feeler

All Feeler ginn e JSON-Objet mat engem error Schlëssel zréck:

{"error": "Insufficient balance. Please add funds."}
Feeler MessageSinn
Invalid API SchlësselDe Schlëssel ass falsch oder de Kont ass suspendéiert
Net genuch GläichgewiichtFüügt Fongen virum Bestellungen
Service net fonnt oder inaktivService ID ass falsch oder Service ass behënnert
D'Quantitéit muss tëscht X an Y sinnQuantitéit ausserhalb erlaabt Beräich fir dëse Service
Bestellung net fonntBestellung ID existéiert net oder gehéiert zu engem anere Benotzer
Bestellung kann net annuléiert ginnBestellung ass scho fäerdeg oder annuléiert

Kréien Servicer

Gitt déi komplett Lëscht vun aktive Servicer mat Tariffer a Limiten zréck.

GET https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=services

Parameteren

ParameterTypBeschreiwung
key requiredstringÄren API Schlëssel
action requiredstringMuss services sinn

Äntwert

[
  {
    "service": 1234,
    "category": "Instagram",
    "name": "Instagram Followers — HQ | Refill 30 days",
    "type": "Default",
    "rate": "0.5000",
    "min": 100,
    "max": 100000,
    "dripfeed": true,
    "refill": true,
    "cancel": false
  },
  ...
]

Place Bestellung

Plazen eng nei Bestellung. Balance gëtt direkt ofgezunn. Gitt d'Bestellung ID zréck.

POST https://resimi.xyz/api/v2.php
ParameterTypBeschreiwung
key requiredstringÄren API Schlëssel
action requiredstringMuss add sinn
service requiredintegerService ID aus der Servicer Lëscht
link requiredstringURL vum Zilprofil oder Post
quantity requiredintegerGesamt Quantitéit fir ze liwweren
runs optionalintegerUnzuel vun Drëpsfidderen (Standard: 1)
interval optionalintegerMinutte tëscht Drëpsfidderen (Standard: 0)
comments optionalstringBenotzerdefinéiert Kommentaren (fir Commentaire Servicer), eng pro Zeil

Äntwert - Erfolleg

{"order": 98765}

Äntwert - Feeler

{"error": "Insufficient balance. Please add funds."}
Drip-Feed: Set runs = Zuel vu Chargen an Intervall = Minutten tëscht all. Beispill - 1.000 Follower iwwer 7 Deeg: quantity=1000&runs=7&Intervall=1440

Bestellung Status

Kuckt den aktuelle Status vun enger Bestellung.

GET https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=status&order=ORDER_ID
ParameterTypBeschreiwung
key requiredstringÄren API Schlëssel
action requiredstringMuss status sinn
order requiredintegerBestellung ID zréckginn vum <code>add</code>

Äntwert

{
  "charge": "0.5000",
  "start_count": 1240,
  "status": "In_progress",
  "remains": 630,
  "currency": "USD"
}

Status Wäerter

StatusSinn
PendingWaart op Provider geschéckt ginn
ProcessingGeschéckt ze Provider, Schlaang
In_progressLiwwerung amgaang
CompletedGanz geliwwert
PartialDeelweis geliwwert, bleift rembourséiert
CancelledAnnuléiert, bleift rembourséiert

Bestellung annuléieren

Annuléiert eng pending oder amgaang Bestellung. Déi net geliwwert Portioun gëtt op Är Gläichgewiicht rembourséiert.

POST https://resimi.xyz/api/v2.php
ParameterTypBeschreiwung
key requiredstringÄren API Schlëssel
action requiredstringMuss annuléieren sinn
order requiredintegerBestellung ID fir ze annuléieren

Äntwert - Erfolleg

{"success": true, "refunded": 0.2500}

Check Gläichgewiicht

Gitt d'aktuell Gläichgewiicht vum Kont zréck, deen mam API Schlëssel assoziéiert ass.

GET https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=balance

Äntwert

{"balance": "12.4800", "currency": "USD"}

Code Beispiller

<?php
$apiUrl = "https://resimi.xyz/api/v2.php";
$apiKey = "YOUR_API_KEY";

function smmApi(string $url, string $key, array $params): array {
    $params['key'] = $key;
    $ch = curl_init($url);
    curl_setopt_array($ch, [
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_POST => true,
        CURLOPT_POSTFIELDS => http_build_query($params),
        CURLOPT_TIMEOUT => 30,
    ]);
    $response = curl_exec($ch);
    curl_close($ch);
    return json_decode($response, true) ?? [];
}

// Get services
$services = smmApi($apiUrl, $apiKey, ['action' => 'services']);

// Place an order
$order = smmApi($apiUrl, $apiKey, [
    'action' => 'add',
    'service' => 1234,
    'link' => 'https://instagram.com/yourprofile',
    'quantity' => 1000,
]);
echo "Order ID: " . ($order['order'] ?? 'Error: ' . $order['error']);

// Check balance
$balance = smmApi($apiUrl, $apiKey, ['action' => 'balance']);
echo "Balance: $" . $balance['balance'];
import requests

API_URL = "https://resimi.xyz/api/v2.php"
API_KEY = "YOUR_API_KEY"

def smm_api(params: dict) -> dict:
    params["key"] = API_KEY
    response = requests.post(API_URL, data=params, timeout=30)
    return response.json()

# Get services
services = smm_api({"action": "services"})
for svc in services[:3]:
    print(f"[{svc['service']}] {svc['name']} - ${svc['rate']}/1K")

# Place an order
order = smm_api({
    "action": "add",
    "service": 1234,
    "link": "https://instagram.com/yourprofile",
    "quantity": 1000,
})
print(f"Order ID: {order.get('order', 'Error: ' + order.get('error', ''))}")

# Check status
status = smm_api({"action": "status", "order": order.get("order")})
print(f"Status: {status.get('status')} | Remains: {status.get('remains')}")

# Check balance
balance = smm_api({"action": "balance"})
print(f"Balance: ${balance['balance']}")
const API_URL = "https://resimi.xyz/api/v2.php";
const API_KEY = "YOUR_API_KEY";

async function smmApi(params) {
    const body = new URLSearchParams({ key: API_KEY, ...params });
    const res = await fetch(API_URL, { method: "POST", body });
    return res.json();
}

// Get services
const services = await smmApi({ action: "services" });
console.log(`Found ${services.length} services`);

// Place an order
const order = await smmApi({
    action: "add",
    service: 1234,
    link: "https://instagram.com/yourprofile",
    quantity: 1000,
});
console.log("Order ID:", order.order ?? "Error: " + order.error);

// Check status
const status = await smmApi({ action: "status", order: order.order });
console.log("Status:", status.status, "| Remains:", status.remains);

// Cancel an order
const cancel = await smmApi({ action: "cancel", order: order.order });
console.log("Refunded:", cancel.refunded);

// Check balance
const balance = await smmApi({ action: "balance" });
console.log("Balance: $" + balance.balance);
# Get services
curl -X GET "https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=services"

# Place an order
curl -X POST "https://resimi.xyz/api/v2.php" \
  -d "key=YOUR_API_KEY" \
  -d "action=add" \
  -d "service=1234" \
  -d "link=https://instagram.com/yourprofile" \
  -d "quantity=1000"

# Place a drip-feed order (1000 followers over 7 days)
curl -X POST "https://resimi.xyz/api/v2.php" \
  -d "key=YOUR_API_KEY" \
  -d "action=add" \
  -d "service=1234" \
  -d "link=https://instagram.com/yourprofile" \
  -d "quantity=1000" \
  -d "runs=7" \
  -d "interval=1440"

# Check order status
curl -X GET "https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=status&order=98765"

# Cancel an order
curl -X POST "https://resimi.xyz/api/v2.php" \
  -d "key=YOUR_API_KEY" \
  -d "action=cancel" \
  -d "order=98765"

# Check balance
curl -X GET "https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=balance"
How can we help?